ERROR: Call to undefined method Zend_Validate_Abstract::hasDefaultTranslator()

Refers to:

  • Plesk for Windows
  • MT:5eb86cf2a08afc835df39b48224c3443
  • MG:74191534e2abd9cb1518c11767eb1fcf

Created:

2016-11-16 13:13:26 UTC

Modified:

2017-02-13 06:12:59 UTC

0

Was this article helpful?


Have more questions?

Submit a request

ERROR: Call to undefined method Zend_Validate_Abstract::hasDefaultTranslator()

Symptoms

Plesk Panel displays the below error:

ERROR: Call to undefined method Zend_Validate_Abstract::hasDefaultTranslator()

Root cause

Some Plesk Panel binaries and .dll files were not properly updated during the upgrade process.

Resolution

  1. Files in the following directories should be checked: %plesk_bin%, %plesk_cli%, %plesk_dir%\admin\htdocs, %plesk_dir%\admin\plib

    To verify files versions, you may use the Windows explorer with the "File version" field enabled,:

    Enable the field:

    Examine files versions:

  2. Files with older Plesk version could be replaced by the ones, extracted from the MSI packages, as per this article:

Plesk MSI packages are usually stored at 'C:\\ParallelsInstaler'or 'C:\\Program Files (x86)\\Parallels\\Install'. The following packages contain the binary files that might be needed: plesk.msi, plesk-service-node-utilities.msi,plesk-engine.msi
Have more questions? Submit a request
Please sign in to leave a comment.